# Get remaining credits

## Get remaining credits

<mark style="color:blue;">`GET`</mark> `https://api.acychecker.com/api/v1/licenses/credits`

This endpoint allows you to get the remaining monthly credits for the specified license.&#x20;

#### Headers

| Name                                           | Type   | Description                                                                  |
| ---------------------------------------------- | ------ | ---------------------------------------------------------------------------- |
| API-KEY<mark style="color:red;">\*</mark>      | string | The API key linked to the license you want to get the remaining credits from |
| Content-Type<mark style="color:red;">\*</mark> | string | Must be "application/json"                                                   |
| Source<mark style="color:red;">\*</mark>       | string | The name of your app, "my app" for example.                                  |

{% tabs %}
{% tab title="200 When you provided a correct API key." %}

```
{
    "message": "",
    "credits_used_batch": 335,
    "remaining_credits_batch": 665
    "credits_used_simple": 11,
    "remaining_credits_simple": 39
}
```

{% endtab %}

{% tab title="401 When the API key provided doesn't exist, or if the license is expired." %}

```
{
    "message": "Invalid API-KEY"
}

OR

{
    "message": "License expired"
}
```

{% endtab %}

{% tab title="429 When you've sent a lot of requests to our API in a short amount of time." %}

```
{
    "message": "Too many requests"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.acychecker.com/api-documentation/api-get-remaining-credits.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
